stackdisttrans.hh File Reference
`#include <vector>`
`#include <mia/3d/defines3d.hh>`
`#include <mia/3d/vector.hh>`
`#include <mia/2d/image.hh>`
`#include <mia/core/iohandler.hh>`
`#include <mia/core/ioplugin.hh>`
Include dependency graph for stackdisttrans.hh:

Go to the source code of this file.

## Data Structures

class | C2DStackDistanceTransform
| A distance transform that stores distances to a 3D binary mask given as slices. More...
struct | C2DStackDistanceTransform::DistanceFromPoint

## Typedefs

typedef TIOPlugin< C2DStackDistanceTransform > | C2DStackDistanceTransformIO
| Base class for the generic IO of transformations.
typedef C2DStackDistanceTransformIOPluginHandler::Instance::DataKey | C2DStackDistanceTransformIODataKey
| data key type for temporary storage of 3D transformations
typedef THandlerSingleton< TIOPluginHandler< C2DStackDistanceTransformIO > > | C2DStackDistanceTransformIOPluginHandler
| Plug-in handler for the transformation IO plug-ins.

## Functions

std::ostream & | operator<< (std::ostream &os, const C2DStackDistanceTransform::DistanceFromPoint &v)
bool | operator== (const C2DStackDistanceTransform::DistanceFromPoint &lhs, const C2DStackDistanceTransform::DistanceFromPoint &rhs)

## Typedef Documentation

## C2DStackDistanceTransformIO

typedef TIOPlugin<C2DStackDistanceTransform> C2DStackDistanceTransformIO

Base class for the generic IO of transformations.

Definition at line 165 of file stackdisttrans.hh.

## C2DStackDistanceTransformIODataKey

typedef C2DStackDistanceTransformIOPluginHandler::Instance::DataKey C2DStackDistanceTransformIODataKey

data key type for temporary storage of 3D transformations

See also
  CDatapool

Definition at line 171 of file stackdisttrans.hh.

## C2DStackDistanceTransformIOPluginHandler

typedef THandlerSingleton< TIOPluginHandler<C2DStackDistanceTransformIO> > C2DStackDistanceTransformIOPluginHandler

Plug-in handler for the transformation IO plug-ins.

Definition at line 168 of file stackdisttrans.hh.

## Function Documentation

## operator<<()

std::ostream & operator<< | ( | std::ostream & | os,
|  | const C2DStackDistanceTransform::DistanceFromPoint & | v )

inline

Write a point-distance pair

Parameters

  os | output stream
  v | the poin-distance

Returns
  the output stream

Definition at line 151 of file stackdisttrans.hh.

References C2DStackDistanceTransform::DistanceFromPoint::distance, and C2DStackDistanceTransform::DistanceFromPoint::point.

## operator==()

bool operator== | ( | const C2DStackDistanceTransform::DistanceFromPoint & | lhs,
|  | const C2DStackDistanceTransform::DistanceFromPoint & | rhs )

inline

Definition at line 157 of file stackdisttrans.hh.

References C2DStackDistanceTransform::DistanceFromPoint::distance, and C2DStackDistanceTransform::DistanceFromPoint::point.